<?php

$church_services_tp_theme_css = '';

//theme-color
$church_services_tp_color_option = get_theme_mod('church_services_tp_color_option');

// 1st color
$church_services_tp_color_option = get_theme_mod('church_services_tp_color_option', '#fb6602');
if ($church_services_tp_color_option) {
	$church_services_tp_theme_css .= ':root {';
	$church_services_tp_theme_css .= '--color-primary1: ' . esc_attr($church_services_tp_color_option) . ';';
	$church_services_tp_theme_css .= '}';
}
//hover color
$church_services_tp_color_option_link = get_theme_mod('church_services_tp_color_option_link');

if($church_services_tp_color_option_link != false){
$church_services_tp_theme_css .='.prev.page-numbers:focus, .prev.page-numbers:hover, .next.page-numbers:focus, .next.page-numbers:hover, #comments input[type="submit"]:hover,.woocommerce #respond input#submit:hover, .woocommerce a.button:hover, .woocommerce button.button:hover,span.meta-nav:hover, .woocommerce input.button:hover, .woocommerce #respond input#submit.alt:hover, .woocommerce a.button.alt:hover, .woocommerce button.button.alt:hover, .woocommerce input.button.alt:hover, #footer button[type="submit"]:hover, #theme-sidebar button[type="submit"]:hover,.book-tkt-btn a.register-btn:hover,.book-tkt-btn a.bar-btn i:hover,.more-btn a:hover, #return-to-top:hover , wc-block-checkout__actions_row .wc-block-components-checkout-place-order-button:hover,.wc-block-cart__submit-container a:hover, .wc-block-grid__product-add-to-cart.wp-block-button .wp-block-button__link:hover{';
	$church_services_tp_theme_css .='background: '.esc_attr($church_services_tp_color_option_link).';';
$church_services_tp_theme_css .='}';
}
if($church_services_tp_color_option_link != false){
$church_services_tp_theme_css .='a:hover,#theme-sidebar a:hover,.media-links i:hover ,.page-box h4 a:hover,.readmore-btn a:hover , .logo h1 a :hover, .logo p a :hover, .page-numbers a:hover,#theme-sidebar li a:hover,#footer li a:hover, #theme-sidebar .widget_tag_cloud a:hover,#footer p.wp-block-tag-cloud a:hover,#footer .tagcloud a:hover {';
	$church_services_tp_theme_css .='color: '.esc_attr($church_services_tp_color_option_link).';';
$church_services_tp_theme_css .='}';
}
if($church_services_tp_color_option_link != false){
$church_services_tp_theme_css .='#footer .tagcloud a:hover,p.wp-block-tag-cloud a:hover, #theme-sidebar .widget_tag_cloud a:hover,.readmore-btn a:hover,#footer p.wp-block-tag-cloud a:hover {';
	$church_services_tp_theme_css .='border-color: '.esc_attr($church_services_tp_color_option_link).';';
$church_services_tp_theme_css .='}';
}

//preloader//

$church_services_tp_preloader_color1_option = get_theme_mod('church_services_tp_preloader_color1_option');
$church_services_tp_preloader_color2_option = get_theme_mod('church_services_tp_preloader_color2_option');
$church_services_tp_preloader_bg_option = get_theme_mod('church_services_tp_preloader_bg_option');


if($church_services_tp_preloader_color1_option != false){
$church_services_tp_theme_css .='.center1{';
	$church_services_tp_theme_css .='border-color: '.esc_attr($church_services_tp_preloader_color1_option).' !important;';
$church_services_tp_theme_css .='}';
}
if($church_services_tp_preloader_color1_option != false){
$church_services_tp_theme_css .='.center1 .ring::before{';
	$church_services_tp_theme_css .='background: '.esc_attr($church_services_tp_preloader_color1_option).' !important;';
$church_services_tp_theme_css .='}';
}
if($church_services_tp_preloader_color2_option != false){
$church_services_tp_theme_css .='.center2{';
	$church_services_tp_theme_css .='border-color: '.esc_attr($church_services_tp_preloader_color2_option).' !important;';
$church_services_tp_theme_css .='}';
}
if($church_services_tp_preloader_color2_option != false){
$church_services_tp_theme_css .='.center2 .ring::before{';
	$church_services_tp_theme_css .='background: '.esc_attr($church_services_tp_preloader_color2_option).' !important;';
$church_services_tp_theme_css .='}';
}
if($church_services_tp_preloader_bg_option != false){
$church_services_tp_theme_css .='.loader{';
	$church_services_tp_theme_css .='background: '.esc_attr($church_services_tp_preloader_bg_option).';';
$church_services_tp_theme_css .='}';
}

// footer-bg-color
$church_services_tp_footer_bg_color_option = get_theme_mod('church_services_tp_footer_bg_color_option');

if($church_services_tp_footer_bg_color_option != false){
$church_services_tp_theme_css .='#footer{';
	$church_services_tp_theme_css .='background: '.esc_attr($church_services_tp_footer_bg_color_option).' !important;';
$church_services_tp_theme_css .='}';
}

// logo tagline color
$church_services_site_tagline_color = get_theme_mod('church_services_site_tagline_color');

if($church_services_site_tagline_color != false){
$church_services_tp_theme_css .='.logo a, .logo p.site-title a{';
$church_services_tp_theme_css .='color: '.esc_attr($church_services_site_tagline_color).';';
$church_services_tp_theme_css .='}';
}

$church_services_logo_tagline_color = get_theme_mod('church_services_logo_tagline_color');
if($church_services_logo_tagline_color != false){
$church_services_tp_theme_css .='p.site-description{';
$church_services_tp_theme_css .='color: '.esc_attr($church_services_logo_tagline_color).';';
$church_services_tp_theme_css .='}';
}

// footer widget title color
$church_services_footer_widget_title_color = get_theme_mod('church_services_footer_widget_title_color');
if($church_services_footer_widget_title_color != false){
$church_services_tp_theme_css .='#footer h3{';
$church_services_tp_theme_css .='color: '.esc_attr($church_services_footer_widget_title_color).';';
$church_services_tp_theme_css .='}';
}

// copyright text color
$church_services_footer_copyright_text_color = get_theme_mod('church_services_footer_copyright_text_color');
if($church_services_footer_copyright_text_color != false){
$church_services_tp_theme_css .='#footer .site-info p, #footer .site-info a {';
$church_services_tp_theme_css .='color: '.esc_attr($church_services_footer_copyright_text_color).';';
$church_services_tp_theme_css .='}';
}

// header image title color
$church_services_header_image_title_text_color = get_theme_mod('church_services_header_image_title_text_color');
if($church_services_header_image_title_text_color != false){
$church_services_tp_theme_css .='.box-text h2{';
$church_services_tp_theme_css .='color: '.esc_attr($church_services_header_image_title_text_color).';';
$church_services_tp_theme_css .='}';
}

// menu color
$church_services_menu_color = get_theme_mod('church_services_menu_color');
if($church_services_menu_color != false){
$church_services_tp_theme_css .='.main-navigation a{';
$church_services_tp_theme_css .='color: '.esc_attr($church_services_menu_color).';';
$church_services_tp_theme_css .='}';
}

//Footer Font Weight
$church_services_footer_copyright_title_font_weight = get_theme_mod( 'church_services_footer_copyright_title_font_weight','');
if($church_services_footer_copyright_title_font_weight == '100'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 100;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '200'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 200;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '300'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 300;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '400'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 400;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '500'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 500;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '600'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 600;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '700'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 700;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '800'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 800;';
$church_services_tp_theme_css .='}';
}else if($church_services_footer_copyright_title_font_weight == '900'){
$church_services_tp_theme_css .='#footer .site-info p {';
    $church_services_tp_theme_css .='font-weight: 900;';
$church_services_tp_theme_css .='}';
}